Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Class FaultData

    java.lang.Object
      org.apache.sandesha2.FaultData

    public class FaultData

extends java.lang.Object

Used to hold data related to a RM Fault.

Constructor Summary
`FaultData()`

Method Summary
`java.lang.String` | `getCode()`
`org.apache.axiom.om.OMElement` | `getDetail()`
`org.apache.axiom.om.OMElement` | `getDetail2()`
`java.lang.String` | `getDetailString()`
`java.lang.String` | `getExceptionString()`
`java.lang.String` | `getReason()`
`java.lang.String` | `getSequenceId()`
`javax.xml.namespace.QName` | `getSubcode()`
`int` | `getType()`
`void` | `setCode(java.lang.String code)`
`void` | `setDetail(org.apache.axiom.om.OMElement detail)`
`void` | `setDetail2(org.apache.axiom.om.OMElement detail2)`
`void` | `setDetailString(java.lang.String detailString)`
`void` | `setExceptionString(java.lang.String exceptionString)`
`void` | `setReason(java.lang.String reason)`
`void` | `setSequenceId(java.lang.String sequenceId)`
`void` | `setSubcode(javax.xml.namespace.QName subcode)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultData

    public FaultData()

Method Detail

### getDetail

    public org.apache.axiom.om.OMElement getDetail()

### setDetail

    public void setDetail(org.apache.axiom.om.OMElement detail)

### setDetail2

    public void setDetail2(org.apache.axiom.om.OMElement detail2)

### getDetail2

    public org.apache.axiom.om.OMElement getDetail2()

### getReason

    public java.lang.String getReason()

### setReason

    public void setReason(java.lang.String reason)

### getSubcode

    public javax.xml.namespace.QName getSubcode()

### setSubcode

    public void setSubcode(javax.xml.namespace.QName subcode)

### getType

    public int getType()

### setType

    public void setType(int type)

### getCode

    public java.lang.String getCode()

### setCode

    public void setCode(java.lang.String code)

### getSequenceId

    public java.lang.String getSequenceId()

### setSequenceId

    public void setSequenceId(java.lang.String sequenceId)

### getDetailString

    public java.lang.String getDetailString()

### setDetailString

    public void setDetailString(java.lang.String detailString)

### getExceptionString

    public java.lang.String getExceptionString()

### setExceptionString

    public void setExceptionString(java.lang.String exceptionString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.